<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.xxfc.platform.activity.mapper.IntegralSignRecordMapper" >
  <resultMap id="BaseResultMap" type="com.xxfc.platform.activity.entity.IntegralSignRecord" >
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" property="id" jdbcType="INTEGER" />
    <result column="user_id" property="userId" jdbcType="INTEGER" />
    <result column="sign_days" property="signDays" jdbcType="INTEGER" />
    <result column="start_time" property="startTime" jdbcType="BIGINT" />
    <result column="last_time" property="lastTime" jdbcType="BIGINT" />
  </resultMap>

    <select id="selectByUserId" parameterType="java.lang.Integer" resultType="com.xxfc.platform.activity.entity.IntegralSignRecord">
      select * from integral_sign_record
      where user_id = #{userId} and isdel = 0
      order by last_time
    </select>
</mapper>